AOZ Studio Beta - Bug #464

In Rain (n,l) =c, c is incorrectly limited to the range of 0 to 255, when it should be 0-$FFF for Amiga
and 0-$FFFFFF for AOZ.

09/03/2020 07:11 PM - Brian Flanagan

Status: Feedback Start date: 09/03/2020
Priority: Normal Due date:

Assignee: AQZ Studio Team % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 0.9.9.4-RCH1

Affected version: Beta RC3

Description

Example:

Screen Open 0,320,256,32,Lowres
Cls O
Set Rainbow 0,0,255,"","", ""
Rainbow 0,0,0,255
For y=0 to 255
Rain(0,y) = Rnd($FFF)
Next y
Wait Key

The result is an illegal function call.
The result should be a rainbow with random colors.
Limiting it to Rnd($FF) will correct the function, but of course, will limit the color to shades of blue for both platforms.

History

#1 - 09/16/2020 01:57 PM - Brian Flanagan
- Estimated time set to 1:00 h

#2 - 09/27/2020 05:29 PM - Francois Lionet

- Status changed from New to Resolved

Fixed, also fixed, short colors were not supported in Rainbows.

#3 - 10/05/2020 09:40 AM - Brian Flanagan
- Status changed from Resolved to Feedback
- Affected version changed from 0.9.9.4-RC1 to Beta RC3

Re-tested in Beta RC3.

Still getting illegal function call with any number larger than 255.
Perhaps the change hasn't been deployed yet?

04/17/2024 1/1



http://www.tcpdf.org

